Skip to content

Start a WebAuthn enrollment

Request

OAuth 2.0 scope:
  • okta.myAccount.webauthn.manage

Starts the enrollment process for a Passkey (FIDO2 WebAuthn) authenticator. Complete the enrollment process by using the Create a WebAuthn enrollment endpoint.

Don't supply a request body for this operation. To start the enrollment process, send a POST request to the /idp/myaccount/webauthn/registration endpoint. The response contains the challenge and options for the Passkey (FIDO2 WebAuthn) credential creation.

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
POST
/idp/myaccount/webauthn/registration
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/webauthn/registration \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json'

Responses

Success

Bodyapplication/json;okta-version=1.0.0
expiresAtstring

Date and time when the challenge expires

optionsobject

WebAuthn registration options for the Passkey (FIDO2 WebAuthn) authenticator

Response
{ "options": { "rp": {}, "user": {}, "pubKeyCredParams": [], "challenge": "vuSSUc8Nkd-8b2InKe3Y0SjEB4Nm6rdf", "attestation": "direct", "authenticatorSelection": {}, "u2fParams": {}, "excludeCredentials": [] }, "expiresAt": "2025-04-30T18:04:33.000Z", "_links": { "enroll": {} } }